Debian Bug report logs - #456835
parrot: FTBFS: Package libicu36-dev has no installation candidate

version graph

Package: parrot; Maintainer for parrot is Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>; Source for parrot is src:parrot.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 18 Dec 2007 09:03:30 UTC

Severity: serious

Tags: patch

Found in version parrot/0.4.13-1

Fixed in version parrot/0.4.13-1.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#456835; Package parrot. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: parrot: FTBFS: Package libicu36-dev has no installation candidate
Date: Tue, 18 Dec 2007 09:36:49 +0100
Package: parrot
version: 0.4.13-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071217 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > ** Using build dependencies supplied by package:
 > Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libgmp3-dev, libgdbm-dev, python, libicu36-dev, libreadline-dev
 > Checking for already installed source dependencies...
 > debhelper: missing
 > Using default version 5.0.62
 > perl: already installed (5.8.8-12)
 > perl-doc: missing
 > libgmp3-dev: missing
 > libgdbm-dev: missing
 > python: missing
 > libicu36-dev: missing
 > libreadline-dev: missing
 > Checking for source dependency conflicts...
 > Reading package lists...
 > Building dependency tree...
 > Reading state information...
 > Package libicu36-dev is not available, but is referred to by another package.
 > This may mean that the package is missing, has been obsoleted, or
 > is only available from another source
 > However the following packages replace it:
 >   libicu-dev
 > E: Package libicu36-dev has no installation candidate
 > apt-get failed.
 > Package installation failed
 > Trying to reinstall removed packages:
 > Trying to uninstall newly installed packages:
 > Source-dependencies not satisfied; skipping parrot

The full build log is available from:
	http://people.debian.org/~lucas/logs/2007/12/17

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#456835; Package parrot. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 456835@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 456835@bugs.debian.org
Subject: parrot: diff for NMU version 0.4.13-1.1
Date: Sat, 12 Jan 2008 19:45:23 +0100
[Message part 1 (text/plain, inline)]
tags 456835 + patch
thanks

Hi,

Attached is the diff for my parrot 0.4.13-1.1 NMU.
[parrot-0.4.13-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 18:54:05 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 456835-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 456835-close@bugs.debian.org
Subject: Bug#456835: fixed in parrot 0.4.13-1.1
Date: Sat, 12 Jan 2008 19:02:22 +0000
Source: parrot
Source-Version: 0.4.13-1.1

We believe that the bug you reported is fixed in the latest version of
parrot, which is due to be installed in the Debian FTP archive:

libparrot-dev_0.4.13-1.1_i386.deb
  to pool/main/p/parrot/libparrot-dev_0.4.13-1.1_i386.deb
libparrot0.4.13_0.4.13-1.1_i386.deb
  to pool/main/p/parrot/libparrot0.4.13_0.4.13-1.1_i386.deb
parrot-doc_0.4.13-1.1_all.deb
  to pool/main/p/parrot/parrot-doc_0.4.13-1.1_all.deb
parrot_0.4.13-1.1.diff.gz
  to pool/main/p/parrot/parrot_0.4.13-1.1.diff.gz
parrot_0.4.13-1.1.dsc
  to pool/main/p/parrot/parrot_0.4.13-1.1.dsc
parrot_0.4.13-1.1_i386.deb
  to pool/main/p/parrot/parrot_0.4.13-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 456835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated parrot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 19:33:10 +0100
Source: parrot
Binary: libparrot-dev parrot-doc libparrot0.4.13 parrot
Architecture: source all i386
Version: 0.4.13-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 libparrot-dev - virtual machine to execute bytecode for interpreted languages
 libparrot0.4.13 - virtual machine to execute bytecode for interpreted languages
 parrot     - virtual machine to execute bytecode for interpreted languages
 parrot-doc - virtual machine to execute bytecode for interpreted languages
Closes: 456835
Changes: 
 parrot (0.4.13-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Replace libicu36-dev with libicu-dev. (Closes: #456835)
Files: 
 f73a4f442ad1d81b366c213a0cbd1d3d 720 interpreters optional parrot_0.4.13-1.1.dsc
 b97b8d50469f5942729a4897cbdbb808 7355 interpreters optional parrot_0.4.13-1.1.diff.gz
 5ab28de109fc42c342b7b6448f5ed136 1065004 doc optional parrot-doc_0.4.13-1.1_all.deb
 342210685307566a89ef550cd24bc5de 418826 interpreters optional parrot_0.4.13-1.1_i386.deb
 310bee4872f253e483b8c7f166d538b2 1016558 libs optional libparrot0.4.13_0.4.13-1.1_i386.deb
 4d07782641fb5b1f3055acf285a69fda 1449848 libdevel optional libparrot-dev_0.4.13-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHiQsAn3j4POjENGERAuBaAJ92BMPS7CG61ui9GMlBpTcivHz4PQCeM+9h
2IVbi0AVXRoU6GeWmXMqePs=
=QOgy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:54:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:24:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.